import { Component, OnInit } from '@angular/core';
import {CommonService} from '../common.service';

@Component({
  selector: 'app-children-health',
  templateUrl: './children-health.component.html',
  styleUrls: ['./children-health.component.css']
})
export class ChildrenHealthComponent implements OnInit {
  curPageData:Array<any>;
  constructor(
    private commonService: CommonService
  ) { }

  ngOnInit() {
    this.surveyInfo()
  }
  surveyInfo() {
    this.commonService.surveyInfo().then(res => {
      if (res['success']) {
        this.curPageData = res['data']['survey'].pages['12']
        console.log(this.curPageData)
      }
    })
  }
}
